### Name: simecol-package
### Title: General Information about the `simecol' Package
### Aliases: simecol-package simecol simObj simObj-class odeModel-class
###   gridModel-class rwalkModel-class indbasedModel-class
### Keywords: misc

### ** Examples

## (1) Quick Start Examples ====================================================
data(lv)        # load basic Lotka-Volterra model

## Not run: 
##D fixParms(lv)
## End(Not run)
parms(lv)
main(lv)
lv <- sim(lv)
plot(lv)
results <- out(lv)

## Not run: 
##D data(conway)    # Conway's game of life
##D init(conway) <- matrix(0, 10, 10)
##D times(conway) <-  1:100
##D fixInit(conway) # enter some "1"
##D sim(conway, animate=TRUE, delay=100)
## End(Not run)

## (2) Additional Resources ====================================================
## Not run: 
##D ## open the directory with source code of demo
##D browseURL(paste(system.file(package="simecol"), "/demo", sep=""))
##D 
##D ## run demo
##D demo(jss)
##D 
##D ## open the directory with R sourcecode examples
##D browseURL(paste(system.file(package="simecol"), "/examples", sep=""))
##D 
##D ## show package vignette with introductory article
##D vignette("simecol-introduction")
##D edit(vignette("simecol-introduction"))
##D 
##D ## open the installation directory of simecol
##D ##   (NEWS, THANKS, FAQ, ToDo, WISHLIST, ...)
##D browseURL(paste(system.file(package="simecol"), "/", sep=""))
##D 
##D ## Open Project Homepage
##D browseURL("http://www.simecol.de")
## End(Not run)

## How to cite package simecol in publications
citation("simecol")



